Skip to main content
PUT
/
api
/
external
/
v2
/
subscription-contracts-update-frequency-by-selling-plan
Update Subscription contract frequency by selling plan
curl --request PUT \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-update-frequency-by-selling-plan \
  --header 'X-API-Key: <x-api-key>'
{
  "id": "gid://shopify/SubscriptionContract/123456789",
  "status": "ACTIVE",
  "nextBillingDate": "2025-08-08T13:00:00Z",
  "customer": {
    "id": "gid://shopify/Customer/111111111111",
    "email": "abc@gmail.com",
    "displayName": "abc xyz",
    "firstName": "abc",
    "lastName": "xyz"
  },
  "billingPolicy": {
    "interval": "DAY",
    "intervalCount": 5,
    "anchors": [],
    "maxCycles": 6,
    "minCycles": 3
  },
  "deliveryPolicy": {
    "interval": "DAY",
    "intervalCount": 5,
    "anchors": []
  },
  "lines": {
    "edges": [
      {
        "node": {
          "id": "gid://shopify/SubscriptionLine/49e73332-5dfc-4fba-9ee7-111111111",
          "sellingPlanId": "gid://shopify/SellingPlan/691881211111",
          "sellingPlanName": "4 Monthly Subscription",
          "productId": "gid://shopify/Product/1111111111",
          "title": "Blub Indoor",
          "variantId": "gid://shopify/ProductVariant/111111111111",
          "quantity": 1,
          "currentPrice": {
            "amount": "154.0",
            "currencyCode": "USD"
          },
          "lineDiscountedPrice": {
            "amount": "154.0",
            "currencyCode": "USD"
          },
          "variantImage": {
            "transformedSrc": "https://cdn.shopify.com/s/files/1/0933/4738/1543/files/shopping_41111111111111111111111111111111111"
          },
          "taxable": true
        }
      }
    ]
  },
  "customerPaymentMethod": {
    "id": "gid://shopify/CustomerPaymentMethod/1111111111111111111",
    "instrument": {
      "brand": "bogus",
      "expiryMonth": 12,
      "expiryYear": 2030,
      "lastDigits": "1",
      "name": "abc xyz"
    }
  },
  "deliveryMethod": {
    "address": {
      "address1": "test",
      "city": "Sunnyvale",
      "country": "United States",
      "province": "California",
      "zip": "94087"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

contractId
integer<int64>
required

Subscription contract ID to update. Provide the numeric ID without the gid:// prefix

Required range: x >= 1
sellingPlanId
integer<int64>
required

The unique identifier of the new selling plan. Provide the numeric ID without gid:// prefix.

Required range: x >= 1

Response

Subscription contract frequency updated successfully

get__typename
string
id
string
createdAt
object
updatedAt
object
nextBillingDate
object
status
enum<string>
Available options:
ACTIVE,
PAUSED,
CANCELLED,
EXPIRED,
FAILED,
$UNKNOWN
deliveryPrice
object
lastPaymentStatus
enum<string>
Available options:
SUCCEEDED,
FAILED,
$UNKNOWN
billingPolicy
object
deliveryPolicy
object
lines
object
customerPaymentMethod
object
deliveryMethod
object
originOrder
object
customer
object
discounts
object
note
string
customAttributes
object[]
billingAttempts
object